## golang-github-dcso-bloom 0.2.4

=== Makefile ===
## simple makefile to log workflow
.PHONY: all test clean build install

GOFLAGS ?= $(GOFLAGS:)

all: install test

build:
	@go build $(GOFLAGS) ./...

install:
	@go get $(GOFLAGS) ./...

test: install
	@go test -cover $(GOFLAGS) ./...

bench: install
	@go test -run=NONE -bench=. $(GOFLAGS) ./...

clean:
	@go clean $(GOFLAGS) -i ./...

release:
	@go get $(GOFLAGS) ./...
	@go build -v -o bloom_linux_amd64.bin bloom/*
	GOOS=windows GOARCH=amd64 go build -v -o bloom_windows_amd64.exe bloom/*

## EOF

## golang-github-dcso-bloom 0.2.0

=== debian/changelog ===
golang-github-dcso-bloom (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 14 Aug 2017 17:44:25 +0200

golang-github-dcso-bloom (0.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 18 Jul 2017 10:00:39 +0200

golang-github-dcso-bloom (0.0~git20170609.0.48c97c2-1) unstable; urgency=medium

  * Initial release. (Closes: #864646)

 -- Sascha Steinbiss <satta@debian.org>  Fri, 09 Jun 2017 16:03:48 +0200

=== debian/control ===
Source: golang-github-dcso-bloom
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-go,
               golang-github-urfave-cli-dev,
               txt2man
Standards-Version: 4.0.0
Homepage: https://github.com/DCSO/bloom
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-dcso-bloom.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-dcso-bloom.git
XS-Go-Import-Path: github.com/DCSO/bloom

Package: golang-github-dcso-bloom-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go
Recommends: golang-github-dcso-bloom-cli
Description: highly efficient bloom filter implementation for Go
 Bloom is a simple library that provides a very efficient implementation of
 Bloom filters for the Go language. This package provides the Go library in the
 form of source code.

Package: golang-github-dcso-bloom-cli
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: highly efficient bloom filter implementation for Go, CLI tool
 Bloom is a simple library that provides a very efficient implementation of
 Bloom filters for the Go language. This package provides a command line tool
 that can be used to easily create Bloom filters with desired capacity and
 false positive probability. Values can be added to filters through standard
 input, which makes it easy to use the tool in a pipeline workflow.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/DCSO/bloom
UPSTREAM_VERSION=$(shell dpkg-parsechangelog -SVersion | cut -f2 -d~)
TIMESTAMP=$(shell dpkg-parsechangelog -STimestamp)
DATE=$(shell date --date=@$(TIMESTAMP) '+%d %B %Y')
export DH_GOLANG_INSTALL_EXTRA := testdata

MANPAGES=debian/bloom.1

%.1: %.1.txt
	TZ=UTC LC_ALL=C \
	  txt2man -d "$(DATE)" \
	  -s 1 -r "bloom $(UPSTREAM_VERSION)" \
	  -t $(shell basename -a -s.1 $@) \
	  $< > $@

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_installman: $(MANPAGES)
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(MANPAGES)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-dcso-bloom-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/DCSO/bloom/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-dcso-bloom 0.2.2

=== debian/changelog ===
golang-github-dcso-bloom (0.2.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 08 Dec 2018 09:29:18 +0000

golang-github-dcso-bloom (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Use debhelper 11.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 01 Dec 2018 11:43:46 +0000

golang-github-dcso-bloom (0.2.0-3) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Sascha Steinbiss ]
  * Replace priority extra with optional.
  * Use secure d/copyright format link.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 04 Jul 2018 11:03:15 +0200

golang-github-dcso-bloom (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 19:09:19 +0100

golang-github-dcso-bloom (0.2.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 18 Aug 2017 14:11:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: golang-github-dcso-bloom
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-go,
                golang-github-urfave-cli-dev,
                txt2man
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/DCSO/bloom
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-dcso-bloom.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-dcso-bloom.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dcso-bloom
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dcso-bloom.git
 XS-Go-Import-Path: github.com/DCSO/bloom
 
 Package: golang-github-dcso-bloom-dev
@@ -29,6 +29,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Built-Using: ${misc:Built-Using}
 Description: highly efficient bloom filter implementation for Go, CLI tool
  Bloom is a simple library that provides a very efficient implementation of
  Bloom filters for the Go language. This package provides a command line tool

## golang-github-dcso-bloom 0.2.3

=== debian/changelog ===
golang-github-dcso-bloom (0.2.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 10 Jan 2019 17:19:37 +0100

golang-github-dcso-bloom (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Use debhelper 12.
  * Override dh_dwz for binary compiled by Go.
  * Avoid use of dpkg-parsechangelog.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 10 Jan 2019 17:03:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
                dh-golang,
                golang-go,
                golang-github-urfave-cli-dev,
                txt2man
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/DCSO/bloom
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dcso-bloom
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dcso-bloom.git

## golang-github-dcso-bloom 0.2.4

=== debian/changelog ===
golang-github-dcso-bloom (0.2.4-2) unstable; urgency=medium

  * Upload to unstable post-release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Aug 2021 10:48:19 +0200

golang-github-dcso-bloom (0.2.4-1) experimental; urgency=medium

  * New upstream release.
  * Use debhelper 13.
  * Bump watchfile version.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 30 Jun 2021 14:23:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-go,
                golang-github-urfave-cli-dev,
                txt2man
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/DCSO/bloom
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dcso-bloom
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dcso-bloom.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-dcso-bloom-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/DCSO/bloom/tags .*/v?(\d\S*)\.tar\.gz
